*** Regressions for the Paper Huning and Wahl (2023). You reap what you know: Appropriability and the origin of European states. European Journal of Political Economy 79, 102432 ***

clear all
cap log close

* cd "set your working directory"


*** Table 1: Observability of Agricultural Output and State Size in Europe, 1200--1500 ***

use Nüssli_states_final.dta


** 1200 **

reg lnarea lncoi ele_max if year==1200, cluster(state_id)
outreg2 using Table1, excel


reg lnarea lncoi ele_max rug_mean latitude longitude lncsi i.type_dummy mp island if year==1200, cluster(state_id)
outreg2 using Table1, excel

** 1300 **
reg lnarea lncoi ele_max if year==1300, cluster(state_id)
outreg2 using Table1, excel


reg lnarea lncoi ele_max rug_mean latitude longitude lncsi i.type_dummy mp island if year==1300, cluster(state_id)
outreg2 using Table1, excel

** 1400 **

reg lnarea lncoi ele_max if year==1400, cluster(state_id)
outreg2 using Table1, excel

reg lnarea lncoi ele_max rug_mean latitude longitude lncsi i.type_dummy mp island if year==1400, cluster(state_id)
outreg2 using Table1, excel

** 1500 **

reg lnarea lncoi ele_max if year==1500, cluster(state_id)
outreg2 using Table1, excel


reg lnarea lncoi ele_max rug_mean latitude longitude lncsi  i.type_dummy mp island if year==1500, cluster(state_id)
outreg2 using Table1, excel


clear

use Administrative_Buildings_final.dta


** Table 2: Caloric Suitability and the Number of Administrative Buildings in Cities **

* Basic Geographic Controls *

reg lnadministrative lncoi lncsi i.year rivers_large_random ele_max rug_mean  ,  cluster(id)
outreg2 using Table2, excel

reg lnadministrative lncoi lncsi i.year rivers_large_random ele_max rug_mean  cities_pa,  cluster(id)
outreg2 using Table2, excel

reg lnadministrative lncoi lncsi i.year rivers_large_random ele_max rug_mean  cities_pa if cities==0,  cluster(id)
outreg2 using Table2, excel


* All Controls *

reg lnadministrative lncoi lncsi  i.year rivers_large_random ele_max rug_mean outerboundary  temperature_mean luvisols_mean traderoads_random fairs_random  romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random  electorate kingdom markgrafschaft herzogtum duchy republic church county herrschaft battles,  cluster(id)
outreg2 using Table2, excel

reg lnadministrative lncoi lncsi  i.year rivers_large_random ele_max rug_mean outerboundary  temperature_mean luvisols_mean traderoads_random fairs_random  romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random  electorate kingdom markgrafschaft herzogtum duchy republic church county herrschaft battles cities_pa ,  cluster(id)
outreg2 using Table2, excel

reg lnadministrative lncoi lncsi  i.year rivers_large_random ele_max rug_mean outerboundary  temperature_mean luvisols_mean traderoads_random fairs_random  romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random  electorate kingdom markgrafschaft herzogtum duchy republic church county herrschaft battles cities_pa if cities==0,  cluster(id)
outreg2 using Table2, excel

clear

use Reichsmatrikel_Tax_final.dta

** Table 3: Caloric Observability and Financial Capacity of States in the Holy Roman Empire **

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean  ,  ro
outreg2 using Table3, excel

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean cities electorate markgrafschaft herzogtum duchy republic county herrschaft church   ,  ro
outreg2 using Table3, excel

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean cities electorate markgrafschaft herzogtum duchy republic county herrschaft church temperature_mean luvisols_mean  lncsi,  ro
outreg2 using Table3, excel

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean cities electorate markgrafschaft herzogtum duchy republic county herrschaft church  temperature_mean luvisols_mean  traderoads_random romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random ,  ro
outreg2 using Table3, excel

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean cities electorate markgrafschaft herzogtum duchy republic county herrschaft church  temperature_mean luvisols_mean  traderoads_random romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random battlespa,  ro
outreg2 using Table3, excel

reg lntax  lncoi lncsi rivers_large_random ele_max rug_mean cities electorate markgrafschaft herzogtum duchy republic county herrschaft church  temperature_mean luvisols_mean  traderoads_random romanroads_random gold_random copper_random silver_random iron_random lead_random pottasiumsalt_random rocksalt_random battlespa outerboundary,  ro
outreg2 using Table3, excel

clear

use Taxes_Württemberg_final.dta


** Table 4: Caloric Observability and Municipal Tax Revenues in Württemberg in 1545 **

reg lntaxrevenue lnqgiscoi , ro
outreg2 using Table4, excel

reg lntaxrevenue lnqgiscoi rivers_min_nodanube ele_max  rug_mean lncrop_mean  , ro
outreg2 using Table4, excel

reg lntaxrevenue lnqgiscoi rivers_min_nodanube ele_max roman_road_density  rug_mean lncrop_mean   watermill mp_for_1500 traderoads_within , ro
outreg2 using Table4, excel

reg lntaxrevenue lnqgiscoi rivers_min_nodanube ele_max roman_road_density  rug_mean lncrop_mean  neolitihicum_share   watermill mp_for_1500 blackdeath traderoads_within , ro
outreg2 using Table4, excel

reg lntaxrevenue lnqgiscoi rivers_min_nodanube ele_max roman_road_density  rug_mean lncrop_mean  freiteilungsgebiet  neolitihicum_share   watermill mp_for_1500 blackdeath traderoads_within , ro
outreg2 using Table4, excel

reg lntaxrevenue lnqgiscoi rivers_min_nodanube ele_max roman_road_density  rug_mean lncrop_mean  freiteilungsgebiet metro_stuttgart  neolitihicum_share   watermill mp_for_1500 blackdeath traderoads_within , ro
outreg2 using Table4, excel

reg lnaverage_wealth lnqgiscoi rivers_min_nodanube ele_max roman_road_density  rug_mean lncrop_mean  freiteilungsgebiet metro_stuttgart  neolitihicum_share   watermill mp_for_1500 blackdeath traderoads_within , ro
outreg2 using Table4, excel

